Type.registerNamespace("Telerik.Web");
Telerik.Web.BehaviorBase=function(_1){
Telerik.Web.BehaviorBase.initializeBase(this,[_1]);
this._clientStateFieldID=null;
this._pageRequestManager=null;
this._partialUpdateBeginRequestHandler=null;
this._partialUpdateEndRequestHandler=null;
};
Telerik.Web.BehaviorBase.prototype={initialize:function(){
Telerik.Web.BehaviorBase.callBaseMethod(this,"initialize");
},dispose:function(){
Telerik.Web.BehaviorBase.callBaseMethod(this,"dispose");
if(this._pageRequestManager){
if(this._partialUpdateBeginRequestHandler){
this._pageRequestManager.remove_beginRequest(this._partialUpdateBeginRequestHandler);
this._partialUpdateBeginRequestHandler=null;
}
if(this._partialUpdateEndRequestHandler){
this._pageRequestManager.remove_endRequest(this._partialUpdateEndRequestHandler);
this._partialUpdateEndRequestHandler=null;
}
this._pageRequestManager=null;
}
},get_ClientStateFieldID:function(){
return this._clientStateFieldID;
},set_ClientStateFieldID:function(_2){
if(this._clientStateFieldID!=_2){
this._clientStateFieldID=_2;
this.raisePropertyChanged("ClientStateFieldID");
}
},get_ClientState:function(){
if(this._clientStateFieldID){
var _3=document.getElementById(this._clientStateFieldID);
if(_3){
return _3.value;
}
}
return null;
},set_ClientState:function(_4){
if(this._clientStateFieldID){
var _5=document.getElementById(this._clientStateFieldID);
if(_5){
_5.value=_4;
}
}
},registerPartialUpdateEvents:function(){
if(Sys&&Sys.WebForms&&Sys.WebForms.PageRequestManager){
this._pageRequestManager=Sys.WebForms.PageRequestManager.getInstance();
if(this._pageRequestManager){
this._partialUpdateBeginRequestHandler=Function.createDelegate(this,this._partialUpdateBeginRequest);
this._pageRequestManager.add_beginRequest(this._partialUpdateBeginRequestHandler);
this._partialUpdateEndRequestHandler=Function.createDelegate(this,this._partialUpdateEndRequest);
this._pageRequestManager.add_endRequest(this._partialUpdateEndRequestHandler);
}
}
},_partialUpdateBeginRequest:function(_6,_7){
},_partialUpdateEndRequest:function(_8,_9){
}};
Telerik.Web.BehaviorBase.registerClass("Telerik.Web.BehaviorBase",Sys.UI.Behavior);;Type.registerNamespace("Telerik.Web");
Telerik.Web.IDragSource=function(){
};
Telerik.Web.IDragSource.prototype={get_dragDataType:function(){
throw Error.notImplemented();
},getDragData:function(){
throw Error.notImplemented();
},get_dragMode:function(){
throw Error.notImplemented();
},onDragStart:function(){
throw Error.notImplemented();
},onDrag:function(){
throw Error.notImplemented();
},onDragEnd:function(){
throw Error.notImplemented();
}};
Telerik.Web.IDragSource.registerInterface("Telerik.Web.IDragSource");
Telerik.Web.IDropTarget=function(){
};
Telerik.Web.IDropTarget.prototype={get_dropTargetElement:function(){
throw Error.notImplemented();
},canDrop:function(){
throw Error.notImplemented();
},drop:function(){
throw Error.notImplemented();
},onDragEnterTarget:function(){
throw Error.notImplemented();
},onDragLeaveTarget:function(){
throw Error.notImplemented();
},onDragInTarget:function(){
throw Error.notImplemented();
}};
Telerik.Web.IDropTarget.registerInterface("Telerik.Web.IDropTarget");
Telerik.Web.DragMode=function(){
throw Error.invalidOperation();
};
Telerik.Web.DragMode.prototype={Copy:0,Move:1};
Telerik.Web.DragMode.registerEnum("Telerik.Web.DragMode");
Telerik.Web.DragDropEventArgs=function(_1,_2,_3){
this._dragMode=_1;
this._dataType=_2;
this._data=_3;
};
Telerik.Web.DragDropEventArgs.prototype={get_dragMode:function(){
return this._dragMode||null;
},get_dragDataType:function(){
return this._dataType||null;
},get_dragData:function(){
return this._data||null;
}};
Telerik.Web.DragDropEventArgs.registerClass("Telerik.Web.DragDropEventArgs");
Telerik.Web._DragDropManager=function(){
this._instance=null;
this._events=null;
};
Telerik.Web._DragDropManager.prototype={add_dragStart:function(_4){
this.get_events().addHandler("dragStart",_4);
},remove_dragStart:function(_5){
this.get_events().removeHandler("dragStart",_5);
},get_events:function(){
if(!this._events){
this._events=new Sys.EventHandlerList();
}
return this._events;
},add_dragStop:function(_6){
this.get_events().addHandler("dragStop",_6);
},remove_dragStop:function(_7){
this.get_events().removeHandler("dragStop",_7);
},_getInstance:function(){
if(!this._instance){
if(Sys.Browser.agent===Sys.Browser.InternetExplorer){
this._instance=new Telerik.Web.IEDragDropManager();
}else{
this._instance=new Telerik.Web.GenericDragDropManager();
}
this._instance.initialize();
this._instance.add_dragStart(Function.createDelegate(this,this._raiseDragStart));
this._instance.add_dragStop(Function.createDelegate(this,this._raiseDragStop));
}
return this._instance;
},startDragDrop:function(_8,_9,_a){
this._getInstance().startDragDrop(_8,_9,_a);
},registerDropTarget:function(_b,_c){
this._getInstance().registerDropTarget(_b,_c);
},unregisterDropTarget:function(_d){
this._getInstance().unregisterDropTarget(_d);
},dispose:function(){
delete this._events;
Sys.Application.unregisterDisposableObject(this);
Sys.Application.removeComponent(this);
},_raiseDragStart:function(_e,_f){
var _10=this.get_events().getHandler("dragStart");
if(_10){
_10(this,_f);
}
},_raiseDragStop:function(_11,_12){
var _13=this.get_events().getHandler("dragStop");
if(_13){
_13(this,_12);
}
}};
Telerik.Web._DragDropManager.registerClass("Telerik.Web._DragDropManager");
Telerik.Web.DragDropManager=new Telerik.Web._DragDropManager();
Telerik.Web.IEDragDropManager=function(){
Telerik.Web.IEDragDropManager.initializeBase(this);
this._dropTargets=null;
this._radius=10;
this._activeDragVisual=null;
this._activeContext=null;
this._activeDragSource=null;
this._underlyingTarget=null;
this._oldOffset=null;
this._potentialTarget=null;
this._isDragging=false;
this._mouseUpHandler=null;
this._documentMouseMoveHandler=null;
this._documentDragOverHandler=null;
this._dragStartHandler=null;
this._mouseMoveHandler=null;
this._dragEnterHandler=null;
this._dragLeaveHandler=null;
this._dragOverHandler=null;
this._dropHandler=null;
this._areEventsWired=false;
};
Telerik.Web.IEDragDropManager.prototype={add_dragStart:function(_14){
this.get_events().addHandler("dragStart",_14);
},remove_dragStart:function(_15){
this.get_events().removeHandler("dragStart",_15);
},add_dragStop:function(_16){
this.get_events().addHandler("dragStop",_16);
},remove_dragStop:function(_17){
this.get_events().removeHandler("dragStop",_17);
},initialize:function(){
Telerik.Web.IEDragDropManager.callBaseMethod(this,"initialize");
this._mouseUpHandler=Function.createDelegate(this,this._onMouseUp);
this._documentMouseMoveHandler=Function.createDelegate(this,this._onDocumentMouseMove);
this._documentDragOverHandler=Function.createDelegate(this,this._onDocumentDragOver);
this._dragStartHandler=Function.createDelegate(this,this._onDragStart);
this._mouseMoveHandler=Function.createDelegate(this,this._onMouseMove);
this._dragEnterHandler=Function.createDelegate(this,this._onDragEnter);
this._dragLeaveHandler=Function.createDelegate(this,this._onDragLeave);
this._dragOverHandler=Function.createDelegate(this,this._onDragOver);
this._dropHandler=Function.createDelegate(this,this._onDrop);
},dispose:function(){
if(this._dropTargets){
for(var i=0;i<this._dropTargets;i++){
this.unregisterDropTarget(this._dropTargets[i]);
}
this._dropTargets=null;
}
Telerik.Web.IEDragDropManager.callBaseMethod(this,"dispose");
},startDragDrop:function(_19,_1a,_1b){
var ev=window._event;
if(this._isDragging){
return;
}
this._underlyingTarget=null;
this._activeDragSource=_19;
this._activeDragVisual=_1a;
this._activeContext=_1b;
var _1d={x:ev.clientX,y:ev.clientY};
_1a.originalPosition=_1a.style.position;
var _1e=$telerik.getLocation(_1a);
_1a.style.position="absolute";
document._lastPosition=_1d;
_1a.startingPoint=_1d;
var _1f=this.getScrollOffset(_1a,true);
_1a.startingPoint=this.addPoints(_1a.startingPoint,_1f);
if(_1a.style.position=="absolute"){
_1a.startingPoint=this.subtractPoints(_1a.startingPoint,_1e);
}else{
var _20=parseInt(_1a.style.left);
var top=parseInt(_1a.style.top);
if(isNaN(_20)){
_20="0";
}
if(isNaN(top)){
top="0";
}
_1a.startingPoint=this.subtractPoints(_1a.startingPoint,{x:_20,y:top});
}
this._prepareForDomChanges();
_19.onDragStart();
var _22=new Telerik.Web.DragDropEventArgs(_19.get_dragMode(),_19.get_dragDataType(),_19.getDragData(_1b));
var _23=this.get_events().getHandler("dragStart");
if(_23){
_23(this,_22);
}
this._recoverFromDomChanges();
this._unwireEvents();
this._wireEvents();
this._drag(true);
},_stopDragDrop:function(_24){
var ev=window._event;
if(this._activeDragSource!=null){
this._unwireEvents();
if(!_24){
_24=(this._underlyingTarget==null);
}
if(!_24&&this._underlyingTarget!=null){
this._underlyingTarget.drop(this._activeDragSource.get_dragMode(),this._activeDragSource.get_dragDataType(),this._activeDragSource.getDragData(this._activeContext));
}
this._activeDragSource.onDragEnd(_24);
var _26=this.get_events().getHandler("dragStop");
if(_26){
_26(this,Sys.EventArgs.Empty);
}
this._activeDragVisual.style.position=this._activeDragVisual.originalPosition;
this._activeDragSource=null;
this._activeContext=null;
this._activeDragVisual=null;
this._isDragging=false;
this._potentialTarget=null;
ev.preventDefault();
}
},_drag:function(_27){
var ev=window._event;
var _29={x:ev.clientX,y:ev.clientY};
document._lastPosition=_29;
var _2a=this.getScrollOffset(this._activeDragVisual,true);
var _2b=this.addPoints(this.subtractPoints(_29,this._activeDragVisual.startingPoint),_2a);
if(!_27&&parseInt(this._activeDragVisual.style.left)==_2b.x&&parseInt(this._activeDragVisual.style.top)==_2b.y){
return;
}
$telerik.setLocation(this._activeDragVisual,_2b);
this._prepareForDomChanges();
this._activeDragSource.onDrag();
this._recoverFromDomChanges();
this._potentialTarget=this._findPotentialTarget(this._activeDragSource,this._activeDragVisual);
var _2c=(this._potentialTarget!=this._underlyingTarget||this._potentialTarget==null);
if(_2c&&this._underlyingTarget!=null){
this._leaveTarget(this._activeDragSource,this._underlyingTarget);
}
if(this._potentialTarget!=null){
if(_2c){
this._underlyingTarget=this._potentialTarget;
this._enterTarget(this._activeDragSource,this._underlyingTarget);
}else{
this._moveInTarget(this._activeDragSource,this._underlyingTarget);
}
}else{
this._underlyingTarget=null;
}
},_wireEvents:function(){
$addHandler(document,"mouseup",this._mouseUpHandler);
$addHandler(document,"mousemove",this._documentMouseMoveHandler);
$addHandler(document.body,"dragover",this._documentDragOverHandler);
$addHandler(this._activeDragVisual,"dragstart",this._dragStartHandler);
$addHandler(this._activeDragVisual,"dragend",this._mouseUpHandler);
$addHandler(this._activeDragVisual,"drag",this._mouseMoveHandler);
this._areEventsWired=true;
},_unwireEvents:function(){
if(!this._areEventsWired){
return;
}
$removeHandler(this._activeDragVisual,"drag",this._mouseMoveHandler);
$removeHandler(this._activeDragVisual,"dragend",this._mouseUpHandler);
$removeHandler(this._activeDragVisual,"dragstart",this._dragStartHandler);
$removeHandler(document.body,"dragover",this._documentDragOverHandler);
$removeHandler(document,"mousemove",this._documentMouseMoveHandler);
$removeHandler(document,"mouseup",this._mouseUpHandler);
this._areEventsWired=false;
},registerDropTarget:function(_2d,_2e){
if(this._dropTargets==null){
this._dropTargets=[];
}
if(_2e){
Array.add(this._dropTargets,_2d);
}else{
Array.insert(this._dropTargets,0,_2d);
}
this._wireDropTargetEvents(_2d);
},unregisterDropTarget:function(_2f){
this._unwireDropTargetEvents(_2f);
if(this._dropTargets){
Array.remove(this._dropTargets,_2f);
}
},_wireDropTargetEvents:function(_30){
var _31=_30.get_dropTargetElement();
_31._dropTarget=_30;
$addHandler(_31,"dragenter",this._dragEnterHandler);
$addHandler(_31,"dragleave",this._dragLeaveHandler);
$addHandler(_31,"dragover",this._dragOverHandler);
$addHandler(_31,"drop",this._dropHandler);
},_unwireDropTargetEvents:function(_32){
var _33=_32.get_dropTargetElement();
if(_33._dropTarget){
_33._dropTarget=null;
$removeHandler(_33,"dragenter",this._dragEnterHandler);
$removeHandler(_33,"dragleave",this._dragLeaveHandler);
$removeHandler(_33,"dragover",this._dragOverHandler);
$removeHandler(_33,"drop",this._dropHandler);
}
},_onDragStart:function(ev){
window._event=ev;
document.selection.empty();
var dt=ev.dataTransfer;
if(!dt&&ev.rawEvent){
dt=ev.rawEvent.dataTransfer;
}
var _36=this._activeDragSource.get_dragDataType().toLowerCase();
var _37=this._activeDragSource.getDragData(this._activeContext);
if(_37){
if(_36!="text"&&_36!="url"){
_36="text";
if(_37.innerHTML!=null){
_37=_37.innerHTML;
}
}
dt.effectAllowed="move";
dt.setData(_36,_37.toString());
}
},_onMouseUp:function(ev){
window._event=ev;
this._stopDragDrop(false);
},_onDocumentMouseMove:function(ev){
window._event=ev;
this._dragDrop();
},_onDocumentDragOver:function(ev){
window._event=ev;
if(this._potentialTarget){
ev.preventDefault();
}
},_onMouseMove:function(ev){
window._event=ev;
this._drag();
},_onDragEnter:function(ev){
window._event=ev;
if(this._isDragging){
ev.preventDefault();
}else{
var _3d=Telerik.Web.IEDragDropManager._getDataObjectsForDropTarget(this._getDropTarget(ev.target));
for(var i=0;i<_3d.length;i++){
this._dropTarget.onDragEnterTarget(Telerik.Web.DragMode.Copy,_3d[i].type,_3d[i].value);
}
}
},_onDragLeave:function(ev){
window._event=ev;
if(this._isDragging){
ev.preventDefault();
}else{
var _40=Telerik.Web.IEDragDropManager._getDataObjectsForDropTarget(this._getDropTarget(ev.target));
for(var i=0;i<_40.length;i++){
this._dropTarget.onDragLeaveTarget(Telerik.Web.DragMode.Copy,_40[i].type,_40[i].value);
}
}
},_onDragOver:function(ev){
window._event=ev;
if(this._isDragging){
ev.preventDefault();
}else{
var _43=Telerik.Web.IEDragDropManager._getDataObjectsForDropTarget(this._getDropTarget(ev.target));
for(var i=0;i<_43.length;i++){
this._dropTarget.onDragInTarget(Telerik.Web.DragMode.Copy,_43[i].type,_43[i].value);
}
}
},_onDrop:function(ev){
window._event=ev;
if(!this._isDragging){
var _46=Telerik.Web.IEDragDropManager._getDataObjectsForDropTarget(this._getDropTarget(ev.target));
for(var i=0;i<_46.length;i++){
this._dropTarget.drop(Telerik.Web.DragMode.Copy,_46[i].type,_46[i].value);
}
}
ev.preventDefault();
},_getDropTarget:function(_48){
while(_48){
if(_48._dropTarget!=null){
return _48._dropTarget;
}
_48=_48.parentNode;
}
return null;
},_dragDrop:function(){
if(this._isDragging){
return;
}
this._isDragging=true;
this._activeDragVisual.dragDrop();
document.selection.empty();
},_moveInTarget:function(_49,_4a){
this._prepareForDomChanges();
_4a.onDragInTarget(_49.get_dragMode(),_49.get_dragDataType(),_49.getDragData(this._activeContext));
this._recoverFromDomChanges();
},_enterTarget:function(_4b,_4c){
this._prepareForDomChanges();
_4c.onDragEnterTarget(_4b.get_dragMode(),_4b.get_dragDataType(),_4b.getDragData(this._activeContext));
this._recoverFromDomChanges();
},_leaveTarget:function(_4d,_4e){
this._prepareForDomChanges();
_4e.onDragLeaveTarget(_4d.get_dragMode(),_4d.get_dragDataType(),_4d.getDragData(this._activeContext));
this._recoverFromDomChanges();
},_findPotentialTarget:function(_4f,_50){
var ev=window._event;
if(this._dropTargets==null){
return null;
}
var _52=_4f.get_dragDataType();
var _53=_4f.get_dragMode();
var _54=_4f.getDragData(this._activeContext);
var _55=this.getScrollOffset(document.body,true);
var x=ev.clientX+_55.x;
var y=ev.clientY+_55.y;
var _58={x:x-this._radius,y:y-this._radius,width:this._radius*2,height:this._radius*2};
var _59;
for(var i=0;i<this._dropTargets.length;i++){
_59=$telerik.getBounds(this._dropTargets[i].get_dropTargetElement());
if(this._overlaps(_58,_59)&&this._dropTargets[i].canDrop(_53,_52,_54)){
return this._dropTargets[i];
}
}
return null;
},_overlaps:function(r1,r2){
var _5d=(r1.x>=r2.x&&r1.x<=(r2.x+r2.width));
var _5e=((r1.x+r1.width)>=r2.x&&(r1.x+r1.width)<=r2.x+r2.width);
var _5f=((r1.x<r2.x)&&((r1.x+r1.width)>(r2.x+r2.width)));
var _60=(r1.y>=r2.y&&r1.y<=(r2.y+r2.height));
var _61=((r1.y+r1.height)>=r2.y&&(r1.y+r1.height)<=r2.y+r2.height);
var _62=((r1.y<r2.y)&&((r1.y+r1.height)>(r2.y+r2.height)));
if((_5d||_5e||_5f)&&(_60||_61||_62)){
return true;
}
return false;
},_prepareForDomChanges:function(){
this._oldOffset=$telerik.getLocation(this._activeDragVisual);
},_recoverFromDomChanges:function(){
var _63=$telerik.getLocation(this._activeDragVisual);
if(this._oldOffset.x!=_63.x||this._oldOffset.y!=_63.y){
this._activeDragVisual.startingPoint=this.subtractPoints(this._activeDragVisual.startingPoint,this.subtractPoints(this._oldOffset,_63));
scrollOffset=this.getScrollOffset(this._activeDragVisual,true);
var _64=this.addPoints(this.subtractPoints(document._lastPosition,this._activeDragVisual.startingPoint),scrollOffset);
$telerik.setLocation(this._activeDragVisual,_64);
}
},addPoints:function(p1,p2){
return {x:p1.x+p2.x,y:p1.y+p2.y};
},subtractPoints:function(p1,p2){
return {x:p1.x-p2.x,y:p1.y-p2.y};
},getScrollOffset:function(_69,_6a){
var _6b=_69.scrollLeft;
var top=_69.scrollTop;
if(_6a){
var _6d=_69.parentNode;
while(_6d!=null&&_6d.scrollLeft!=null){
_6b+=_6d.scrollLeft;
top+=_6d.scrollTop;
if(_6d==document.body&&(_6b!=0&&top!=0)){
break;
}
_6d=_6d.parentNode;
}
}
return {x:_6b,y:top};
},getBrowserRectangle:function(){
var _6e=window.innerWidth;
var _6f=window.innerHeight;
if(_6e==null){
_6e=document.body.clientWidth;
}
if(_6f==null){
_6f=document.body.clientHeight;
}
return {x:0,y:0,width:_6e,height:_6f};
},getNextSibling:function(_70){
for(_70=_70.nextSibling;_70!=null;_70=_70.nextSibling){
if(_70.innerHTML!=null){
return _70;
}
}
return null;
},hasParent:function(_71){
return (_71.parentNode!=null&&_71.parentNode.tagName!=null);
}};
Telerik.Web.IEDragDropManager.registerClass("Telerik.Web.IEDragDropManager",Sys.Component);
Telerik.Web.IEDragDropManager._getDataObjectsForDropTarget=function(_72){
if(_72==null){
return [];
}
var ev=window._event;
var _74=[];
var _75=["URL","Text"];
var _76;
for(var i=0;i<_75.length;i++){
var dt=ev.dataTransfer;
if(!dt&&ev.rawEvent){
dt=ev.rawEvent.dataTransfer;
}
_76=dt.getData(_75[i]);
if(_72.canDrop(Telerik.Web.DragMode.Copy,_75[i],_76)){
if(_76){
Array.add(_74,{type:_75[i],value:_76});
}
}
}
return _74;
};
Telerik.Web.GenericDragDropManager=function(){
Telerik.Web.GenericDragDropManager.initializeBase(this);
this._dropTargets=null;
this._scrollEdgeConst=40;
this._scrollByConst=10;
this._scroller=null;
this._scrollDeltaX=0;
this._scrollDeltaY=0;
this._activeDragVisual=null;
this._activeContext=null;
this._activeDragSource=null;
this._oldOffset=null;
this._potentialTarget=null;
this._mouseUpHandler=null;
this._mouseMoveHandler=null;
this._keyPressHandler=null;
this._scrollerTickHandler=null;
this._areEventsWired=false;
};
Telerik.Web.GenericDragDropManager.prototype={initialize:function(){
Telerik.Web.GenericDragDropManager.callBaseMethod(this,"initialize");
this._mouseUpHandler=Function.createDelegate(this,this._onMouseUp);
this._mouseMoveHandler=Function.createDelegate(this,this._onMouseMove);
this._keyPressHandler=Function.createDelegate(this,this._onKeyPress);
this._scrollerTickHandler=Function.createDelegate(this,this._onScrollerTick);
if(Sys.Browser.agent===Sys.Browser.Safari){
Telerik.Web.GenericDragDropManager.__loadSafariCompatLayer(this);
}
this._scroller=new Telerik.Web.Timer();
this._scroller.set_interval(10);
this._scroller.add_tick(this._scrollerTickHandler);
},startDragDrop:function(_79,_7a,_7b){
this._activeDragSource=_79;
this._activeDragVisual=_7a;
this._activeContext=_7b;
Telerik.Web.GenericDragDropManager.callBaseMethod(this,"startDragDrop",[_79,_7a,_7b]);
},_stopDragDrop:function(_7c){
this._scroller.set_enabled(false);
Telerik.Web.GenericDragDropManager.callBaseMethod(this,"_stopDragDrop",[_7c]);
},_drag:function(_7d){
Telerik.Web.GenericDragDropManager.callBaseMethod(this,"_drag",[_7d]);
this._autoScroll();
},_wireEvents:function(){
$addHandler(document,"mouseup",this._mouseUpHandler);
$addHandler(document,"mousemove",this._mouseMoveHandler);
$addHandler(document,"keypress",this._keyPressHandler);
this._areEventsWired=true;
},_unwireEvents:function(){
if(!this._areEventsWired){
return;
}
$removeHandler(document,"keypress",this._keyPressHandler);
$removeHandler(document,"mousemove",this._mouseMoveHandler);
$removeHandler(document,"mouseup",this._mouseUpHandler);
this._areEventsWired=false;
},_wireDropTargetEvents:function(_7e){
},_unwireDropTargetEvents:function(_7f){
},_onMouseUp:function(e){
window._event=e;
this._stopDragDrop(false);
},_onMouseMove:function(e){
window._event=e;
this._drag();
},_onKeyPress:function(e){
window._event=e;
var k=e.keyCode?e.keyCode:e.rawEvent.keyCode;
if(k==27){
this._stopDragDrop(true);
}
},_autoScroll:function(){
var ev=window._event;
var _85=this.getBrowserRectangle();
if(_85.width>0){
this._scrollDeltaX=this._scrollDeltaY=0;
if(ev.clientX<_85.x+this._scrollEdgeConst){
this._scrollDeltaX=-this._scrollByConst;
}else{
if(ev.clientX>_85.width-this._scrollEdgeConst){
this._scrollDeltaX=this._scrollByConst;
}
}
if(ev.clientY<_85.y+this._scrollEdgeConst){
this._scrollDeltaY=-this._scrollByConst;
}else{
if(ev.clientY>_85.height-this._scrollEdgeConst){
this._scrollDeltaY=this._scrollByConst;
}
}
if(this._scrollDeltaX!=0||this._scrollDeltaY!=0){
this._scroller.set_enabled(true);
}else{
this._scroller.set_enabled(false);
}
}
},_onScrollerTick:function(){
var _86=document.body.scrollLeft;
var _87=document.body.scrollTop;
window.scrollBy(this._scrollDeltaX,this._scrollDeltaY);
var _88=document.body.scrollLeft;
var _89=document.body.scrollTop;
var _8a=this._activeDragVisual;
var _8b={x:parseInt(_8a.style.left)+(_88-_86),y:parseInt(_8a.style.top)+(_89-_87)};
$telerik.setLocation(_8a,_8b);
}};
Telerik.Web.GenericDragDropManager.registerClass("Telerik.Web.GenericDragDropManager",Telerik.Web.IEDragDropManager);
if(Sys.Browser.agent===Sys.Browser.Safari){
Telerik.Web.GenericDragDropManager.__loadSafariCompatLayer=function(ddm){
ddm._getScrollOffset=ddm.getScrollOffset;
ddm.getScrollOffset=function(_8d,_8e){
return {x:0,y:0};
};
ddm._getBrowserRectangle=ddm.getBrowserRectangle;
ddm.getBrowserRectangle=function(){
var _8f=ddm._getBrowserRectangle();
var _90=ddm._getScrollOffset(document.body,true);
return {x:_8f.x+_90.x,y:_8f.y+_90.y,width:_8f.width+_90.x,height:_8f.height+_90.y};
};
};
};Type.registerNamespace("Telerik.Web");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ModalExtender=function(_1){
this._windowResizeDelegate=null;
this._windowScrollDelegate=null;
this._xCoordinate=-1;
this._yCoordinate=-1;
this._backgroundElement=null;
this._foregroundElement=_1;
this._saveTabIndexes=new Array();
this._saveDesableSelect=new Array();
this._tagWithTabIndex=new Array("A","AREA","BUTTON","INPUT","OBJECT","SELECT","TEXTAREA","IFRAME");
};
Telerik.Web.UI.ModalExtender.prototype={dispose:function(){
this.hide();
this._backgroundElement=null;
this._foregroundElement=null;
},show:function(){
this._attachWindowHandlers(true);
var _2=this._getModalOverlay();
this._foregroundElement.parentNode.appendChild(_2);
_2.style.zIndex=$telerik.getCurrentStyle(this._foregroundElement,"zIndex",this._foregroundElement.style.zIndex)-1;
_2.style.display="";
this._disableTab();
this._updatePageLayout();
this._updatePageLayout();
},_storeBrowserPosition:function(){
var _3=document.body;
var _4=document.documentElement;
this._browserTop=_3.scrollTop>_4.scrollTop?_3.scrollTop:_4.scrollTop;
this._browserLeft=_3.scrollLeft>_4.scrollLeft?_3.scrollTop:_4.scrollLeft;
},_restoreBrowserPosition:function(_5,_6){
try{
if(null==_5){
_5=this._browserLeft;
}
if(null==_6){
_6=this._browserTop;
}
var _7=document.body;
var _8=document.documentElement;
_7.scrollTop=_6;
_7.scrollLeft=_5;
_8.scrollTop=_6;
_8.scrollLeft=_5;
}
catch(ex){
}
},hide:function(){
this._backgroundElement.style.display="none";
this._restoreTab();
this._attachWindowHandlers(false);
},_enableScroll:function(_9){
if(_9){
document.body.style.overflow=null!=this._overflow?this._overflow:"";
document.documentElement.style.overflow=null!=this._documentOverflow?this._documentOverflow:"";
document.body.style.marginRight="";
}else{
this._overflow=document.body.style.overflow;
document.body.style.overflow="hidden";
this._documentOverflow=document.documentElement.style.overflow;
document.documentElement.style.overflow="hidden";
document.body.style.marginRight="18px";
}
},_getModalOverlay:function(){
if(!this._backgroundElement){
var _a=document.createElement("div");
_a.style.display="none";
_a.style.position="absolute";
_a.style.left="0px";
_a.style.top="0px";
_a.style.zIndex=10000;
_a.style.backgroundColor="#aaaaaa";
_a.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=50)";
_a.style.opacity=".5";
_a.style.mozOpacity=".5";
_a.className="TelerikModalOverlay";
this._backgroundElement=_a;
}
return this._backgroundElement;
},_attachWindowHandlers:function(_b){
var _c=window;
if(true==_b){
this._windowResizeDelegate=Function.createDelegate(this,this._updatePageLayout);
$addHandler(_c,"resize",this._windowResizeDelegate);
this._windowScrollDelegate=Function.createDelegate(this,this._updatePageLayout);
$addHandler(_c,"scroll",this._windowScrollDelegate);
}else{
if(this._windowResizeDelegate){
$removeHandler(_c,"resize",this._windowResizeDelegate);
}
this._windowResizeDelegate=null;
if(this._windowScrollDelegate){
$removeHandler(_c,"scroll",this._windowScrollDelegate);
}
this._windowScrollDelegate=null;
}
},_updatePageLayout:function(){
var _d=(document.documentElement.scrollLeft?document.documentElement.scrollLeft:document.body.scrollLeft);
var _e=(document.documentElement.scrollTop?document.documentElement.scrollTop:document.body.scrollTop);
var _f=$telerik.getClientBounds();
var _10=_f.width;
var _11=_f.height;
var _12=this._getModalOverlay();
_12.style.width=Math.max(Math.max(document.documentElement.scrollWidth,document.body.scrollWidth),_10)+"px";
_12.style.height=Math.max(Math.max(document.documentElement.scrollHeight,document.body.scrollHeight),_11)+"px";
},_disableTab:function(){
var i=0;
var _14;
var _15=new Array();
Array.clear(this._saveTabIndexes);
for(var j=0;j<this._tagWithTabIndex.length;j++){
_14=this._foregroundElement.getElementsByTagName(this._tagWithTabIndex[j]);
for(var k=0;k<_14.length;k++){
_15[i]=_14[k];
i++;
}
}
i=0;
for(var j=0;j<this._tagWithTabIndex.length;j++){
_14=document.getElementsByTagName(this._tagWithTabIndex[j]);
for(var k=0;k<_14.length;k++){
if(Array.indexOf(_15,_14[k])==-1){
this._saveTabIndexes[i]={tag:_14[k],index:_14[k].tabIndex};
_14[k].tabIndex="-1";
i++;
}
}
}
i=0;
if((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7)){
var _18=new Array();
for(var j=0;j<this._tagWithTabIndex.length;j++){
_14=this._foregroundElement.getElementsByTagName("SELECT");
for(var k=0;k<_14.length;k++){
_18[i]=_14[k];
i++;
}
}
i=0;
Array.clear(this._saveDesableSelect);
_14=document.getElementsByTagName("SELECT");
for(var k=0;k<_14.length;k++){
if(Array.indexOf(_18,_14[k])==-1){
this._saveDesableSelect[i]={tag:_14[k],visib:$telerik.getCurrentStyle(_14[k],"visibility")};
_14[k].style.visibility="hidden";
i++;
}
}
}
},_restoreTab:function(){
for(var i=0;i<this._saveTabIndexes.length;i++){
this._saveTabIndexes[i].tag.tabIndex=this._saveTabIndexes[i].index;
}
if((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7)){
for(var k=0;k<this._saveDesableSelect.length;k++){
this._saveDesableSelect[k].tag.style.visibility=this._saveDesableSelect[k].visib;
}
}
}};
Telerik.Web.UI.ModalExtender.registerClass("Telerik.Web.UI.ModalExtender",null);;Type.registerNamespace("Telerik.Web");
Telerik.Web.PositioningMode=function(){
throw Error.invalidOperation();
};
Telerik.Web.PositioningMode.prototype={Absolute:0,Center:1,BottomLeft:2,BottomRight:3,TopLeft:4,TopRight:5};
Telerik.Web.PositioningMode.registerEnum("Telerik.Web.PositioningMode");
Telerik.Web.PopupBehavior=function(_1){
Telerik.Web.PopupBehavior.initializeBase(this,[_1]);
this._x=0;
this._y=0;
this._positioningMode=Telerik.Web.PositioningMode.Absolute;
this._parentElement=null;
this._parentElementID=null;
this._moveHandler=null;
this._firstPopup=true;
this._originalParent=null;
this._overlay=false;
this._keepInScreenBounds=true;
};
Telerik.Web.PopupBehavior._ie6pinnedList={};
Telerik.Web.PopupBehavior.prototype={getPageOffset:function(){
var _2={x:(document.documentElement.scrollLeft||document.body.scrollLeft),y:(document.documentElement.scrollTop||document.body.scrollTop)};
return _2;
},pin:function(_3){
var _4=this.get_element();
var _5=this.getPageOffset();
if($telerik.isIE6){
var id=this.get_id();
if(_3){
if(Telerik.Web.PopupBehavior._ie6pinnedList[id]){
return;
}
var _7=$telerik.getBounds(_4);
Telerik.Web.PopupBehavior._ie6pinnedList[id]=window.setInterval(Function.createDelegate(this,function(){
var _8=this.getPageOffset();
var x=_7.x-_5.x+_8.x;
var y=_7.y-_5.y+_8.y;
var _b=this.get_parentElement();
this.set_parentElement(document.documentElement);
this.set_x(x);
this.set_y(y);
this.show();
this.set_parentElement(_b);
}),130);
}else{
var _c=Telerik.Web.PopupBehavior._ie6pinnedList[id];
if(_c){
window.clearInterval(_c);
}
delete Telerik.Web.PopupBehavior._ie6pinnedList[id];
}
}else{
var _d=_3?"fixed":"absolute";
if(_4.style.position==_d){
return;
}
var _7=$telerik.getBounds(_4);
if(_3&&(_5.x||_5.y)){
this._x=_7.x-_5.x;
this._y=_7.y-_5.y;
$telerik.setLocation(_4,{x:this._x,y:this._y});
}
_4.style.position=_d;
}
},center:function(){
var _e=this.get_element();
$telerik.setVisible(_e,true);
var _f=$telerik.getClientBounds();
var _10=$telerik.getBounds(_e);
var x=parseInt((_f.width-_10.width)/2);
var y=parseInt((_f.height-_10.height)/2);
var _13=this.get_parentElement();
this.set_parentElement(document.documentElement);
this.set_x(x);
this.set_y(y);
this.show();
this.set_parentElement(_13);
},get_parentElement:function(){
if(!this._parentElement&&this._parentElementID){
this.set_parentElement($get(this._parentElementID));
Sys.Debug.assert(this._parentElement!=null,String.format("Couldn't find parent element \"{0}\"",this._parentElementID));
}
return this._parentElement;
},set_parentElement:function(_14){
this._parentElement=_14;
},get_parentElementID:function(){
if(this._parentElement){
return this._parentElement.id;
}
return this._parentElementID;
},set_parentElementID:function(_15){
this._parentElementID=_15;
if(this.get_isInitialized()){
this.set_parentElement($get(_15));
}
},get_positioningMode:function(){
return this._positioningMode;
},set_positioningMode:function(_16){
this._positioningMode=_16;
},get_x:function(){
return this._x;
},set_x:function(_17){
if(_17!=this._x){
this._x=_17;
if($telerik.getVisible(this.get_element())){
this.show();
}
}
},get_y:function(){
return this._y;
},set_y:function(_18){
if(_18!=this._y){
this._y=_18;
if($telerik.getVisible(this.get_element())){
this.show();
}
}
},get_overlay:function(){
return this._overlay;
},set_overlay:function(_19){
this._overlay=_19;
this._attachWindowHandlers(false);
if(this._overlay){
this._attachWindowHandlers(true);
}else{
if(!((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7))){
var elt=this.get_element();
var _1b=elt._hideWindowedElementsIFrame;
if(_1b){
_1b.style.display="none";
}
}
}
},get_keepInScreenBounds:function(){
return this._keepInScreenBounds;
},set_keepInScreenBounds:function(_1c){
this._keepInScreenBounds=_1c;
},hide:function(){
var elt=this.get_element();
$telerik.setVisible(elt,false);
if(elt.originalWidth){
elt.style.width=elt.originalWidth+"px";
elt.originalWidth=null;
}
if(Sys.Browser.agent===Sys.Browser.InternetExplorer||this._overlay){
var _1e=elt._hideWindowedElementsIFrame;
if(_1e){
_1e.style.display="none";
}
}
},show:function(){
var elt=this.get_element();
$telerik.setVisible(elt,true);
var _20=elt.offsetParent||document.documentElement;
var _21;
var _22;
if(this._parentElement){
_22=$telerik.getBounds(this._parentElement);
var _23=$telerik.getLocation(_20);
_21={x:_22.x-_23.x,y:_22.y-_23.y};
}else{
_22=$telerik.getBounds(_20);
_21={x:0,y:0};
}
var _24=elt.offsetWidth-(elt.clientLeft?elt.clientLeft*2:0);
var _25=elt.offsetHeight-(elt.clientTop?elt.clientTop*2:0);
var _26;
switch(this._positioningMode){
case Telerik.Web.PositioningMode.Center:
_26={x:Math.round(_22.width/2-_24/2),y:Math.round(_22.height/2-_25/2)};
break;
case Telerik.Web.PositioningMode.BottomLeft:
_26={x:0,y:_22.height};
break;
case Telerik.Web.PositioningMode.BottomRight:
_26={x:_22.width-_24,y:_22.height};
break;
case Telerik.Web.PositioningMode.TopLeft:
_26={x:0,y:-elt.offsetHeight};
break;
case Telerik.Web.PositioningMode.TopRight:
_26={x:_22.width-_24,y:-elt.offsetHeight};
break;
default:
_26={x:0,y:0};
}
_26.x+=this._x+_21.x;
_26.y+=this._y+_21.y;
$telerik.setLocation(elt,_26);
if(this._firstPopup){
elt.style.width=_24+"px";
}
this._firstPopup=false;
var _27=$telerik.getBounds(elt);
var _28=this._getViewportBounds();
if(this._keepInScreenBounds){
var _29=false;
var _2a=self.innerWidth?self.innerWidth:document.documentElement.clientWidth;
if(!_2a){
_2a=document.body.clientWidth;
}
if(_27.x+_27.width-_28.scrollLeft>_2a){
_26.x-=_27.x+_27.width-_2a+_28.scrollLeft;
_29=true;
}
if(_27.x<0){
_26.x-=_27.x;
_29=true;
}
if(_27.y<0){
_26.y-=_27.y;
_29=true;
}
if(_28.height<_27.y+_27.height-_28.scrollTop){
if(_28.height-_27.height>0){
_26.y=_28.height-_27.height+_28.scrollTop;
_29=true;
}
}
if(_29){
$telerik.setLocation(elt,_26);
_27=$telerik.getBounds(elt);
}
}
elt.zIndex=1000;
if(((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7))||this._overlay){
var _2b=elt._hideWindowedElementsIFrame;
if(!_2b){
_2b=document.createElement("iframe");
_2b.src="javascript:'<html></html>';";
_2b.style.position="absolute";
_2b.style.display="none";
_2b.scrolling="no";
_2b.frameBorder="0";
_2b.tabIndex="-1";
_2b.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0)";
elt.parentNode.insertBefore(_2b,elt);
elt._hideWindowedElementsIFrame=_2b;
this._moveHandler=Function.createDelegate(this,this._onMove);
Sys.UI.DomEvent.addHandler(elt,"move",this._moveHandler);
}
$telerik.setBounds(_2b,_27);
if(Sys.Browser.agent===Sys.Browser.Firefox){
_2b.style.top=parseInt(_27.y)-_28.scrollTop+"px";
_2b.style.left=parseInt(_27.x)-_28.scrollLeft+"px";
_2b.style.position="fixed";
}
if($telerik.quirksMode){
return;
}
_2b.style.display=elt.style.display;
if(elt.currentStyle&&elt.currentStyle.zIndex){
_2b.style.zIndex=elt.currentStyle.zIndex;
}else{
if(elt.style.zIndex){
_2b.style.zIndex=elt.style.zIndex;
}
}
}
},_getViewportBounds:function(){
var _2c=$telerik.getClientBounds();
var _2d=document.documentElement.scrollLeft||document.body.scrollLeft;
var _2e=document.documentElement.scrollTop||document.body.scrollTop;
_2c.scrollLeft=_2d;
_2c.scrollTop=_2e;
return _2c;
},_setCoordinates:function(x,y){
var _31=false;
if(x!=this._x){
this._x=x;
_31=true;
}
if(y!=this._y){
this._y=y;
_31=true;
}
if($telerik.getVisible(this.get_element())&&_31){
this.show();
}
},initialize:function(){
Telerik.Web.PopupBehavior.callBaseMethod(this,"initialize");
this.hide();
this.get_element().style.position="absolute";
},dispose:function(){
var elt=this.get_element();
if(elt){
if(this._moveHandler){
Sys.UI.DomEvent.removeHandler(elt,"move",this._moveHandler);
this._moveHandler=null;
}
this._attachWindowHandlers(false);
if($telerik.getVisible(elt)){
this.hide();
}
if(this._originalParent){
elt.parentNode.removeChild(elt);
this._originalParent.appendChild(elt);
this._originalParent=null;
}
}
this._parentElement=null;
Telerik.Web.PopupBehavior.callBaseMethod(this,"dispose");
},_onMove:function(){
var elt=this.get_element();
if(elt._hideWindowedElementsIFrame){
if(Sys.Browser.agent===Sys.Browser.Firefox){
var _34=this._getViewportBounds();
elt._hideWindowedElementsIFrame.style.top=parseInt(elt.style.top)-_34.scrollTop+"px";
elt._hideWindowedElementsIFrame.style.left=parseInt(elt.style.left)-_34.scrollLeft+"px";
elt._hideWindowedElementsIFrame.style.position="fixed";
}else{
elt._hideWindowedElementsIFrame.style.top=elt.style.top;
elt._hideWindowedElementsIFrame.style.left=elt.style.left;
}
}
},_attachWindowHandlers:function(_35){
if(!Sys.Browser.agent===Sys.Browser.Firefox){
return;
}
var _36=window;
if(true==_35){
this._windowResizeDelegate=Function.createDelegate(this,this._onMove);
$addHandler(_36,"resize",this._windowResizeDelegate);
this._windowScrollDelegate=Function.createDelegate(this,this._onMove);
$addHandler(_36,"scroll",this._windowScrollDelegate);
}else{
if(this._windowResizeDelegate){
$removeHandler(_36,"resize",this._windowResizeDelegate);
}
this._windowResizeDelegate=null;
if(this._windowScrollDelegate){
$removeHandler(_36,"scroll",this._windowScrollDelegate);
}
this._windowScrollDelegate=null;
}
}};
Telerik.Web.PopupBehavior.registerClass("Telerik.Web.PopupBehavior",Telerik.Web.BehaviorBase);;Type.registerNamespace("Telerik.Web");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ResizeExtender=function(_1,_2,_3,_4){
this._documentMouseMoveDelegate=null;
this._documentMouseUpDelegate=null;
this._element=null;
this._tableElement=null;
this._enabled=true;
this._jsOwner=null;
this._saveDelegates={};
this.makeResizable(_1,_2,_3,_4);
};
Telerik.Web.UI.ResizeExtender.prototype={dispose:function(){
this._attachDocumentHandlers(false);
this._configureHandleElements(false);
this._jsOwner=null;
},enable:function(_5){
this._enabled=_5;
},makeResizable:function(_6,_7,_8,_9){
if(!_7){
return;
}
if(this._element){
alert("Element "+_7.getAttribute("id")+" cannot be made resizable, as the resizeExtender already has the element "+this._element.getAttribute("id")+" associated with it. You must create a new extender resizer object");
return;
}
this._jsOwner=_6;
this._element=_7;
this._tableElement=_9;
this._resizeHandles=_8;
this._startX=0;
this._startY=0;
this._stopResize=true;
this._attachDocumentHandlers(true);
this._configureHandleElements(true);
},_onResizeStart:function(){
this._clearSelection();
this._setIframesVisible(false);
this._raiseEvent("ResizeStart");
},_onResizing:function(_a){
return this._raiseEvent("Resizing",_a);
},_onResize:function(){
var _b=this._resizeDir;
if(_b.south||_b.north){
var _c=this._element.style.height;
var _d=this._tableElement;
if(_d){
_d.style.height=_c;
this._fixIeHeight(_d,_c);
}
}
this._raiseEvent("Resize");
},_onResizeEnd:function(){
this._clearSelection();
this._setIframesVisible(true);
this._raiseEvent("ResizeEnd");
},_raiseEvent:function(_e,ev){
if(this._jsOwner&&this._jsOwner["on"+_e]){
if(!ev){
ev=new Sys.EventArgs();
}else{
if(_e=="Resize"){
ev=this._resizeDir;
}else{
if(_e=="Resizing"){
var ev=this._getProposedBounds(ev);
}
}
}
return this._jsOwner["on"+_e](ev);
}
return true;
},_getProposedBounds:function(b1){
var b2=$telerik.getBounds(this._element);
return {x:b1.x||b2.x,y:b1.y||b2.y,width:b1.width||b2.width,height:b1.height||b2.height};
},_resize:function(e){
if(!this._enabled||this._stopResize){
return false;
}
var _13=0;
var _14=0;
var _15=0;
var _16=0;
if(this._resizeDir.east){
_13=this._currentWidth+(e.clientX-this._startX);
}else{
if(this._resizeDir.west){
_15=e.clientX;
_13=this._currentWidth-(e.clientX-this._startX);
}
}
if(this._resizeDir.south){
_14=this._currentHeight+(e.clientY-this._startY);
}else{
if(this._resizeDir.north){
_16=e.clientY;
_14=this._currentHeight-(e.clientY-this._startY);
}
}
var _17=this._onResizing(new Sys.UI.Bounds(_15,_16,_13,_14));
if(false==_17){
return true;
}
if(_15>0){
this._element.style.left=_15+"px";
}
if(_16>0){
this._element.style.top=_16+"px";
}
if(_13>0){
this._element.style.width=_13+"px";
}
if(_14>0){
this._element.style.height=_14+"px";
}
this._onResize();
return true;
},_storeStartCoords:function(e){
if(!this._enabled){
return;
}
this._stopResize=false;
this._startX=e.clientX;
this._startY=e.clientY;
var _19=$telerik.getBounds(this._element);
this._originalBounds=_19;
this._currentWidth=_19.width;
this._currentHeight=_19.height;
var _1a=e.target;
if(_1a&&_1a.type==3){
_1a=_1a.parentNode;
}
this._resizeType=$telerik.getCurrentStyle(_1a,"cursor");
this._resizeDir={north:this._resizeType.match(/n.?-/)?1:0,east:this._resizeType.match(/e-/)?1:0,south:this._resizeType.match(/s.?-/)?1:0,west:this._resizeType.match(/w-/)?1:0};
this._onResizeStart();
},_setIframesVisible:function(_1b){
var _1c=document.getElementsByTagName("IFRAME");
for(var i=0;i<_1c.length;i++){
_1c[i].style.visibility=_1b?"":"hidden";
}
},_configureHandleElements:function(_1e){
var _1f=["nw","n","ne","w","e","sw","s","se"];
for(var i=0;i<_1f.length;i++){
var _21=_1f[i];
var _22=this._resizeHandles[_21];
if(_22){
if(_22 instanceof Array){
for(var j=0;j<_22.length;j++){
this._configureHandle("id"+i+"_"+j,_1e,_22[j],_21);
}
}else{
this._configureHandle("id"+i,_1e,_22,_21);
}
}
}
if(!_1e){
this._saveDelegates={};
}
},_configureHandle:function(_24,_25,_26,_27){
if(_25){
var _28=Function.createDelegate(this,this._onHandleMouseDown);
$addHandler(_26,"mousedown",_28);
this._saveDelegates[_24]={delegate:_28,element:_26};
_26.style.cursor=_27+"-resize";
}else{
$removeHandler(_26,"mousedown",this._saveDelegates[_24].delegate);
_26.style.cursor="";
}
},_attachDocumentHandlers:function(_29){
var _2a=document;
if(true==_29){
this._documentMouseMoveDelegate=Function.createDelegate(this,this._onDocumentMouseMove);
$addHandler(_2a,"mousemove",this._documentMouseMoveDelegate);
this._documentMouseUpDelegate=Function.createDelegate(this,this._onDocumentMouseUp);
$addHandler(_2a,"mouseup",this._documentMouseUpDelegate);
}else{
var _2b=$removeHandler(_2a,"mousemove",this._documentMouseMoveDelegate);
this._documentMouseMoveDelegate=null;
var _2b=$removeHandler(_2a,"mouseup",this._documentMouseUpDelegate);
this._documentMouseUpDelegate=null;
}
},_onDocumentMouseMove:function(e){
var _2d=this._resize(e);
if(_2d){
return this._cancelEvent(e);
}
},_onDocumentMouseUp:function(e){
var _2f=!this._stopResize;
this._stopResize=true;
if(_2f){
this._onResizeEnd();
}
},_onHandleMouseDown:function(e){
this._storeStartCoords(e);
return this._cancelEvent(e);
},_clearSelection:function(){
if(document.selection&&document.selection.empty){
document.selection.empty();
}
},_cancelEvent:function(e){
if(e){
e.returnValue=false;
e.cancelBubble=true;
if(e.preventDefault){
e.preventDefault();
}
if(e.stopPropagation){
e.stopPropagation();
}
}
return false;
},_fixIeHeight:function(_32,_33){
if("CSS1Compat"==document.compatMode){
var _34=(_32.offsetHeight-parseInt(_33));
if(_34>0){
var _35=(parseInt(_32.style.height)-_34);
if(_35>0){
_32.style.height=_35+"px";
}
}
}
}};
Telerik.Web.UI.ResizeExtender.registerClass("Telerik.Web.UI.ResizeExtender",null);;